Package uk.ac.starlink.topcat.plot2

## Class TablePlotDisplay

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.TablePlotDisplay

-     public class TablePlotDisplay
      extends java.lang.Object

  Opens a plot window with access to a table that can be supplied without loading it into the TOPCAT application. This table can be replaced, and the plot will update accordingly. It works best if the replacement tables are all similar in structure.
  Since:
    10 May 2018
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TablePlotDisplay​(java.awt.Component parent, PlotWindowType plotType, java.lang.String tableLabel, boolean isVisibleOnPlot)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PlotWindowType` | `getPlotWindowType()` | Returns the plot window type for this display.
    `StackPlotWindow<?,​?>` | `getWindow()` | Returns the plot window currently in use by this display.
    `void` | `showPlotWindow​(uk.ac.starlink.table.StarTable table)` | Displays a plot window with access to a given unloaded table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TablePlotDisplay

          public TablePlotDisplay​(java.awt.Component parent,
                                  PlotWindowType plotType,
                                  java.lang.String tableLabel,
                                  boolean isVisibleOnPlot)

      Constructor.
      Parameters:
        `parent` - parent component
        `plotType` - type of plot window to open
        `tableLabel` - label for unloaded table as presented to user
        `isVisibleOnPlot` - if true, the plot window is forcibly set visible every time the plot is displayed

  - ### Method Detail

    - #### showPlotWindow

          public void showPlotWindow​(uk.ac.starlink.table.StarTable table)

      Displays a plot window with access to a given unloaded table. If a plot window already exists, it is reused and the table is inserted into it as a replacement for the one used last time.
      Parameters:
        `table` - table to display

    - #### getPlotWindowType

          public PlotWindowType getPlotWindowType()

      Returns the plot window type for this display.
      Returns:
        plot window type

    - #### getWindow

          public StackPlotWindow<?,​?> getWindow()

      Returns the plot window currently in use by this display. If no display has so far been made, this may be null.
      Returns:
        plot window, may be null